Subject: [media-types] Potential media type registration for OASIS XLIFF 2.0

From: "Dr. David Filip" <[email-masked]>
Date: Thu, 16 Jan 2014 20:27:11 +0000

Hello Reviewers,

as Secretary of the OASIS XLIFF TC
https://www.oasis-open.org/committees/tc_home.php?wg_abbrev=xliff

I have been mandated by the said TC and OASIS TC administration to run by
this list our provisionally completed media type registration template.

All comments in square brackets are not meant as part of the future
submission but rather as explanattory notes for the reviewers within OASIS
and on this list.

XLIFF TC is looking forward to receiving your feedback

See the filled out template copy-pasted down below:

Best regards
dF

Dr. David Filip
=======================
LRC | CNGL | LT-Web | CSIS
University of Limerick, Ireland
telephone: +353-6120-2781
*cellphone: +353-86-0222-158*
facsimile: +353-6120-2734
http://www.cngl.ie/profile/?i=452
mailto: [email-masked]

----start of the registration form

Registration Template

   Type name: application
[not text, because end users do not like markup]

   Subtype name: xml

   Required parameters: N/A

   Optional parameters: N/A
[charset declared in payload, hence charset parameter SHOULD NOT

be defined]

   Encoding considerations:
Same as encoding considerations of application/xml as specified in

RFC 3023
[This media type MAY be encoded as appropriate for the charset and

the capabilities of the underlying MIME transport.  For 7-bit transports,

data in UTF-8 MUST be encoded in quoted-printable or base64.  For 8

-bit clean transport (e.g., 8BITMIME[RFC1652] ESMTP or NNTP

[RFC0977]), UTF-8 does not need to be encoded.  Over HTTP

[RFC2616], no content-transfer-encoding is necessary and UTF-16 may

also be used.]

   Security considerations:
All of the security considerations described in RFC 3023

   Interoperability considerations:
Same as interoperability considerations described in RFC 3023
[XML has proven to be interoperable across WebDAV clients and

servers, and for import and export from   multiple XML authoring tools.

For maximum interoperability,
      validating processors are recommended.  Although non-validating
      processors may be more efficient, they are not required to handle
      all features of XML.]
Also, interoperability requirements are specified throughout the

specification and summarized in its Conformance section

   Published specification:
[the current latest published version is:
XLIFF Version 2.0 (CSD02)
http://docs.oasis-open.org/xliff/xliff-core/v2.0/csd02/xliff-core-v2.0-

csd02.html
The relevant publsihed version at the time of submission will be most

likely this:]
XLIFF Version 2.0 (CSD03)
http://docs.oasis-open.org/xliff/xliff-core/v2.0/csd02/xliff-core-v2.0-

csd03.html
[the above will not resolve until the thrird public review call become s

public, the csd03 will be largely based on this current working draft:
wd03: https://tools.oasis-open.org/version-

control/browse/wsvn/xliff/trunk/xliff-20/xliff-core.pdf]

   Applications that use this media type:
XLIFF conformant applications, according to the Conformance Section

of the specification.

   Fragment identifier considerations:
Generic XML processors won't be able to resolve XLIFF fragment

identifiers, as the fragment identification syntax is specific for XLIFF

and has been defined in its Fragment Identification section as of

csprd03 [wd03] of Version 2.0. [XLIFF 1.2 has never been registered as

a media type, I learn there is a xliff-xml type corresponding to XLIFF 1.2

in the private x-tree, which seems to have been ill conceived for,

however should be irrelevant for this current registration of XLIFF 2.0]
Intended usage:
COMMON
Restrictions on usage: N/A

   Author:
OASIS XML Localisation Interchange File Format (XLIFF) TC
Editors: Tom Comerford, [email-masked]; David Filip,

[email-masked]; Yves Savourel, [email-masked]

   Change controller:
OASIS XML Localisation Interchange File Format (XLIFF) TC
https://www.oasis-open.org/committees/xliff/
Bryan Schnabel, [email-masked], Chair
Tom Comerford, [email-masked], Secretary
David Filip, [email-masked], Secretary

   Provisional registration? (standards tree only): YES
[I assume that the registration becomes fix after we reach the OASIS

standard stage]

   Additional information:

     Deprecated alias names for this type: N/A
     Magic number(s): N/A
     File extension(s): .xlf
     Macintosh file type code(s): "TEXT"

   Person & email address to contact for further information:
OASIS Technical Committee administration
[email-masked]
[the review comments will be monitored by [email-masked] on this list]

----end of the registration form

---

From: "Martin J. Dürst" <[email-masked]>
Date: Mon, 20 Jan 2014 19:21:56 +0900

Hello David,

 > [not text, because end users do not like markup]

This would give an overall type of application/xml. This is already 
registered, and any XML can be labeled as such, without any registration.

If you want an XLIFF-specific registration, you should register a type
such as application/xliff+xml, i.e. the Subtype name should be xliff+xml.

I haven't checked the other items in your template, because I think it's 
best to first check the general intent.

Regards,   Martin.

On 2014/01/17 5:27, Dr. David Filip wrote:
>     Person&  email address to contact for further information:
> _______________________________________________
> media-types mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/media-types

---

From: "Dr. David Filip" <[email-masked]>
Date: Mon, 20 Jan 2014 19:02:38 +0000

Thank you, Martin, and sorry for confusion on my end.
We intend to have a separate xml based media type with its own extension
(.xlf) and fragid behavior.
Could you please have a look at the rest of the template?
Assuming that the intended subtype is xliff+xml..
Thanks again
dF

dF is AFK, so that this had to be typed on his tough phone..
Call me at +353860222158 if this answer does not seem sufficient ;)

---

From: SM <[email-masked]>
Date: Mon, 20 Jan 2014 14:10:11 -0800

Hi David,
At 12:27 16-01-2014, Dr. David Filip wrote:
><https://www.oasis-open.org/committees/tc_home.php?wg_abbrev=xliff>https://www.oasis-open.org/committees/tc_home.php?wg_abbrev=xliff
>
>I have been mandated by the said TC and OASIS TC administration to 
>run by this list our provisionally completed media type registration template.

[snip]

>[not text, because end users do not like markup]

draft-ietf-appsawg-xml-mediatypes-06 [1] intends to obsolete RFC 
3023.  There is a registration request in that draft for the same 
type and subtype.

Regards,
-sm

1. http://tools.ietf.org/html/draft-ietf-appsawg-xml-mediatypes-06